import { getAllRoleList } from '@/api/system/role/role';
import { BasicColumn, FormSchema } from '@/components/Table';
import { h } from 'vue';
import { Tag, Switch } from 'ant-design-vue';
import { useMessage } from '@/hooks/web/useMessage';
import { changeFlagApi } from '@/api/system/user/user';
// 引入开关组件
type CheckedType = boolean | string | number;

export const TreeData: any[] = [
  {
    key: '0',
    title: '馈线反馈',
    children: [],
    icon: 'ant-design:folder-outlined',
  },
  {
    key: '1',
    title: '市场营销',
    icon: 'ant-design:folder-outlined',
    children: [
      {
        key: '1-0',
        title: '供电单位用电量',
        icon: 'ant-design:api-outlined',
      },
      {
        key: '1-1',
        title: '电费回收率',
        icon: 'ant-design:api-outlined',
      },
      {
        key: '1-2',
        title: '中压馈线电流',
        icon: 'ant-design:api-outlined',
      },
      {
        key: '1-3',
        title: '中压馈线指标',
        icon: 'ant-design:api-outlined',
      },
      {
        key: '1-4',
        title: '馈线最大电流',
        icon: 'ant-design:api-outlined',
      },
    ],
  },
];
export const TableData: any[] = [
  {
    gateway: '35.84.167.92',
    executor: '218.99.112.56',
    caller: 'user-001',
    startTime: '2024-11-30 13:05:05',
    consume: '1s',
  },
  {
    gateway: '120.88.200.123',
    executor: '51.198.72.14',
    caller: 'user-002',
    startTime: '2024-11-30 13:10:08',
    consume: '2s',
  },
  {
    gateway: '19.75.138.255',
    executor: '102.47.16.39',
    caller: 'user-003',
    startTime: '2024-11-30 13:20:09',
    consume: '3s',
  },
  {
    gateway: '234.156.17.98',
    executor: '212.71.48.99',
    caller: 'user-004',
    startTime: '2024-11-30 13:25:10',
    consume: '4s',
  },
  {
    gateway: '102.194.123.75',
    executor: '13.62.47.129',
    caller: 'user-005',
    startTime: '2024-11-30 13:30:11',
    consume: '5s',
  },
  {
    gateway: '34.86.51.231',
    executor: '176.35.22.176',
    caller: 'user-006',
    startTime: '2024-11-30 13:35:12',
    consume: '6s',
  },
  {
    gateway: '84.29.59.110',
    executor: '89.203.125.13',
    caller: 'user-007',
    startTime: '2024-11-30 13:40:13',
    consume: '7s',
  },
  {
    gateway: '46.174.192.222',
    executor: '12.195.44.58',
    caller: 'user-008',
    startTime: '2024-11-30 13:45:14',
    consume: '8s',
  },
  {
    gateway: '219.31.51.27',
    executor: '128.114.242.53',
    caller: 'user-009',
    startTime: '2024-11-30 13:50:15',
    consume: '9s',
  },
  {
    gateway: '233.164.81.62',
    executor: '19.78.211.9',
    caller: 'user-010',
    startTime: '2024-11-30 13:55:16',
    consume: '10s',
  },
];
export const totalApiData = [
  { date: '10/01', value: 3000 },
  { date: '10/02', value: 4000 },
  { date: '10/03', value: 3222 },
  { date: '10/04', value: 4521 },
  { date: '10/05', value: 3552 },
  { date: '10/06', value: 4899 },
  { date: '10/07', value: 4788 },
];
export const totalApiSucessData = [
  { date: '10/01', value: 2212 },
  { date: '10/02', value: 2122 },
  { date: '10/03', value: 2402 },
  { date: '10/04', value: 2468 },
  { date: '10/05', value: 2487 },
  { date: '10/06', value: 2888 },
  { date: '10/07', value: 2322 },
];
export const totalApiFailedData = [
  { date: '10/01', value: 988 },
  { date: '10/02', value: 888 },
  { date: '10/03', value: 788 },
  { date: '10/04', value: 988 },
  { date: '10/05', value: 688 },
  { date: '10/06', value: 788 },
  { date: '10/07', value: 888 },
];
export const totalGetApiData = [
  { date: '10/01', value: 310 },
  { date: '10/02', value: 322 },
  { date: '10/03', value: 420 },
  { date: '10/04', value: 379 },
  { date: '10/05', value: 489 },
  { date: '10/06', value: 499 },
  { date: '10/07', value: 400 },
];
export const totalPostApiData = [
  { date: '10/01', value: 50 },
  { date: '10/02', value: 89 },
  { date: '10/03', value: 78 },
  { date: '10/04', value: 66 },
  { date: '10/05', value: 180 },
  { date: '10/06', value: 99 },
  { date: '10/07', value: 140 },
];
export const responseData = [
  { date: '10/01', value: '3.5ms' },
  { date: '10/02', value: '4.7ms' },
  { date: '10/03', value: '4.9ms' },
  { date: '10/04', value: '3.6ms' },
  { date: '10/05', value: '4.8ms' },
  { date: '10/06', value: '5.2ms' },
  { date: '10/07', value: '4.3ms' },
];
export const second1Data = [
  { date: '10/01', value: 120 },
  { date: '10/02', value: 100 },
  { date: '10/03', value: 110 },
  { date: '10/04', value: 130 },
  { date: '10/05', value: 70 },
  { date: '10/06', value: 115 },
  { date: '10/07', value: 140 },
];
export const second2Data = [
  { date: '10/01', value: 122 },
  { date: '10/02', value: 123 },
  { date: '10/03', value: 123 },
  { date: '10/04', value: 132 },
  { date: '10/05', value: 50 },
  { date: '10/06', value: 123 },
  { date: '10/07', value: 210 },
];
export const second3Data = [
  { date: '10/01', value: 123 },
  { date: '10/02', value: 123 },
  { date: '10/03', value: 132 },
  { date: '10/04', value: 132 },
  { date: '10/05', value: 123 },
  { date: '10/06', value: 123 },
  { date: '10/07', value: 123 },
];
export const second4Data = [
  { date: '10/01', value: 231 },
  { date: '10/02', value: 222 },
  { date: '10/03', value: 223 },
  { date: '10/04', value: 222 },
  { date: '10/05', value: 222 },
  { date: '10/06', value: 333 },
  { date: '10/07', value: 223 },
];
export const partitionData: any[] = [
  {
    date: '2024-11-30 08:00',
    time: '0.25s',
    code: 200,
    bizCode: 0,
    user: 'user1',
  },
  {
    date: '2024-11-30 09:15',
    time: '1.50s',
    code: 404,
    bizCode: 1001,
    user: 'user2',
  },
  {
    date: '2024-11-30 10:30',
    time: '0.75s',
    code: 500,
    bizCode: 1002,
    user: 'user3',
  },
  {
    date: '2024-11-30 11:45',
    time: '0.10s',
    code: 200,
    bizCode: 0,
    user: 'user4',
  },
  {
    date: '2024-11-30 13:00',
    time: '2.00s',
    code: 400,
    bizCode: 1003,
    user: 'user5',
  },
];
