import { BasicColumn, FormSchema } from '@/components/Table';

export const enrollColumns: BasicColumn[] = [
  {
    title: '登记编号',
    dataIndex: 'enrollNum',
  },
  {
    title: '申请人',
    dataIndex: 'applicant',
  },
  {
    title: '数据知识产权名称',
    dataIndex: 'dataName',
  },
  {
    title: '所属行业',
    dataIndex: 'sector',
  },
  {
    title: '数据来源',
    dataIndex: 'dataBase',
  },
  {
    title: '登记日期',
    dataIndex: 'enrollDate',
  },
  {
    title: '登记备案状态',
    dataIndex: 'enrollStatus',
  },
  {
    title: '是否存在异议',
    dataIndex: 'isObjection',
  },
  {
    title: '状态',
    dataIndex: 'status',
  },
  {
    title: '登记证书',
    dataIndex: 'enrollBook',
  },
];

export const enrollColumns1: any[] = [
  {
    col: 12,
    title: '登记编号',
    dataIndex: 'enrollNum',
  },
  {
    col: 12,
    title: '申请人',
    dataIndex: 'applicant',
  },
  {
    col: 12,
    title: '数据知识产权名称',
    dataIndex: 'dataName',
  },
  {
    col: 12,
    title: '所属行业',
    dataIndex: 'sector',
  },
  {
    col: 12,
    title: '数据类型',
    dataIndex: 'dataType',
  },
  {
    col: 12,
    title: '数据来源',
    dataIndex: 'dataBase',
  },
  {
    col: 12,
    title: '数据格式',
    dataIndex: 'dataFormat',
  },
  {
    col: 12,
    title: '数据规模',
    dataIndex: 'dataSize',
  },
  {
    col: 24,
    title: '数据结构',
    dataIndex: 'dataStructure',
  },
  {
    col: 12,
    title: '更新频次',
    dataIndex: 'updateRate',
  },
  {
    col: 12,
    title: '应用场景',
    dataIndex: 'applyScene',
  },
  {
    col: 12,
    title: '算法规则简要说',
    dataIndex: 'ruleExplain',
  },
  {
    col: 12,
    title: '登记日期',
    dataIndex: 'enrollDate',
  },
  {
    col: 12,
    title: '登记备案状态',
    dataIndex: 'enrollStatus',
  },
  {
    col: 12,
    title: '是否存在异议',
    dataIndex: 'isObjection',
  },
  {
    col: 12,
    title: '状态',
    dataIndex: 'status',
  },
  {
    col: 12,
    title: '登记证书',
    dataIndex: 'enrollBook',
  },
  {
    col: 12,
    title: '存证公证编号',
    dataIndex: 'publicCode',
  },
  {
    col: 12,
    title: '存证公证平台',
    dataIndex: 'publicPlatform',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'companyName',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登记编号',
    },
    colProps: { span: 6 },
  },
  {
    field: 'code',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入申请人',
    },
    colProps: { span: 6 },
  },
  {
    field: 'leader',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '请选择是否存在异议',
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { span: 6 },
  },
];

export const objectionFormSchema: FormSchema[] = [
  {
    field: 'applicant',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入登记编号',
    },
    colProps: { span: 6 },
  },
  {
    field: 'code',
    label: ' ',
    component: 'Input',
    componentProps: {
      placeholder: '请输入申请人',
    },
    colProps: { span: 6 },
  },
  {
    field: 'leader',
    label: ' ',
    component: 'Select',
    componentProps: {
      placeholder: '请选择是否存在异议',
      options: [
        { label: '是', value: '是' },
        { label: '否', value: '否' },
      ],
    },
    colProps: { span: 6 },
  },
];
export const overruleFormSchema: FormSchema[] = [
  {
    field: 'cause',
    label: '驳回理由',
    rules: [{ required: true, message: '请输入驳回理由' }],
    component: 'InputTextArea',
    componentProps: {
      rows: 5,
      placeholder: '请输入驳回原因',
    },
  },
];
