import { BasicColumn, FormSchema } from '@/components/Table';

export const infoList = [
  {
    label: '订单名称',
    field: 'name',
  },
  {
    label: '订单类型',
    field: 'type',
  },
  {
    label: '版本号',
    field: 'version',
  },
  {
    label: '发布人',
    field: 'uploadPerson',
  },
  {
    label: '交易金额',
    field: 'money',
  },
  {
    label: '交易发起时间',
    field: 'startTime',
  },
  {
    label: '交易结束时间',
    field: 'endTime',
  },
  {
    label: '交易进度',
    field: 'progress',
  },
];
export const setInfoSchema = [
  {
    field: 'creator',
    label: '创建者',
  },
  {
    field: 'createDate',
    label: '创建时间',
  },
  {
    field: 'updateFrequency',
    label: '更新频率',
  },
  {
    field: 'securityClassification',
    label: '安全分级',
  },
  {
    field: 'sourceDataTable',
    label: '源数据表',
  },
  {
    field: 'sourceTableSize',
    label: '源表大小',
  },
  {
    field: 'releaseStatus',
    label: '发布状态',
  },
  {
    field: 'releaser',
    label: '发布者',
  },
  {
    field: 'releaseDate',
    label: '发布时间',
  },
  {
    field: 'describe',
    label: '描述',
  },
];
export const setManageSchema = [
  {
    field: 'resourceCataloging',
    label: '资源编目',
  },
  {
    field: 'ownerInstitution',
    label: '权属机构',
  },
  {
    field: 'label',
    label: 'Label',
  },
];
export const setPermissionSchema = [
  {
    field: 'permissions',
    label: '权限',
  },
];
export const fileInfoSchema = [
  {
    field: 'name',
    label: '资源名称',
  },
  {
    field: 'path',
    label: '路径',
  },
  {
    field: 'des',
    label: '描述',
  },
  {
    field: 'dept',
    label: '权属机构',
  },
  {
    field: 'label',
    label: '业务标签',
  },
  {
    field: 'sensitive',
    label: '敏感状态',
  },
  {
    field: 'level',
    label: '安全分级',
  },
];
export const fileTableColumn: BasicColumn[] = [
  {
    title: '文件名称',
    dataIndex: 'name',
  },
  {
    title: '大小',
    dataIndex: 'size',
  },
  {
    title: '文件类型',
    dataIndex: 'type',
  },
];
export const apiInfoSchema = [
  {
    label: '资源名称',
    field: 'name',
  },
  {
    label: '描述',
    field: 'des',
  },
  {
    label: '业务标签',
    field: 'label',
  },
  {
    label: '权属机构',
    field: 'dept',
  },
  {
    label: '敏感状态',
    field: 'sensitive',
  },
  {
    label: '开放权限',
    field: 'power',
  },
];
export const apiConfigSchema = [
  {
    label: '自动下架日期',
    field: 'time',
  },
  {
    label: '可见范围',
    field: 'range',
  },
  {
    label: '共享类型',
    field: 'type',
  },
];
export const apiBackTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
];
export const apiConfigTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
  {
    title: '是否必填',
    dataIndex: 'required',
  },
  {
    title: '默认值',
    dataIndex: 'value',
  },
  {
    title: '示例值',
    dataIndex: 'examValue',
  },
];
export const rejectFormSchema: FormSchema[] = [
  {
    field: 'type',
    label: '驳回类型',
    required: true,
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '资质不符',
          value: '资质不符',
        },
        {
          label: '金额过大',
          value: '金额过大',
        },
        {
          label: '交易内容违规',
          value: '交易内容违规',
        },
      ],
    },
  },
  {
    field: 'result',
    label: '驳回原因',
    component: 'InputTextArea',
    componentProps: {
      rows: 4,
    },
  },
];
