import { BasicColumn, FormSchema } from '@/components/Table';

export const orderTableColumn: BasicColumn[] = [
  {
    title: '订单名称',
    dataIndex: 'name',
    slots: { customRender: 'name' },
  },
  {
    title: '订单类型',
    dataIndex: 'type',
  },
  {
    title: '版本号',
    dataIndex: 'version',
  },
  {
    title: '发布人',
    dataIndex: 'uploadPerson',
  },
  {
    title: '交易金额',
    dataIndex: 'money',
    slots: { customRender: 'money' },
  },
  {
    title: '交易发起时间',
    dataIndex: 'startTime',
  },
  {
    title: '交易人',
    dataIndex: 'payPerson',
  },
  {
    title: '交易人资质',
    dataIndex: 'payLevel',
  },
  {
    title: '交易进度',
    dataIndex: 'progress',
  },
];
export const orderFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
      placeholder: '请输入订单名称',
    },
  },
  {
    field: 'type',
    component: 'Select',
    componentProps: {
      style: {
        width: '90%',
      },
      options: [
        {
          label: '数据集',
          value: '数据集',
        },
        {
          label: '文件',
          value: '文件',
        },
        {
          label: 'API',
          value: 'API',
        },
        {
          label: '产品',
          value: '产品',
        },
      ],
      placeholder: '请输入订单类型',
    },
  },
];
